Subject: Re: [PATCH] Allow emails with boundaries to work again

From: Don Zickus <[email-masked]>
Date: Wed, 13 Aug 2008 20:56:31 -0400

On Wed, Aug 13, 2008 at 04:45:06PM -0700, Junio C Hamano wrote:
> Don Zickus <[email-masked]> writes:
> 
> > Recent changes to is_multipart_boundary() caused git-mailinfo to segfault.
> > The reason was after handling the end of the boundary the code tried to look
> > for another boundary.  Because the boundary list was empty, dereferencing
> > the pointer to the top of the boundary caused the program to go boom.
> 
> We keep fixing and breaking this thing, don't we?  Can we have a testcase
> to protect this codepath?

Heh.  Ok I will try to work on one for tomorrow.

Cheers,
Don